<ng-template #view let-c="close" let-d="dismiss">

</ng-template>
<div class="row text-left">
  <div class="col-12">
    <div class="content-header">ออเดอร์</div>
    <!-- <p class="content-sub-header">All table styles are inherited in Bootstrap 4, meaning any nested tables will be
      styled in the same manner as the parent.</p> -->
  </div>
</div>
<!--Basic Table Ends-->

<!--Hoverable Rows Starts-->
<section id="hoverable-rows">
  <div class="row text-left">
    <div class="col-sm-12">
      <div class="card">
        <div class="card-content">

          <div class="card-body">
            <div class="text-right" style="margin-top: -10px; margin-bottom: 55px;">
              <form class="navbar-form navbar-right mt-1" [formGroup]="searchForm" (ngSubmit)="search()">
                <div class="position-relative has-icon-right">
                  <input class="form-control round" formControlName="search" placeholder="Search" type="text">
                  <div class="form-control-position">
                    <i class="ft-search"></i>
                  </div>
                </div>
              </form>

            </div>

            <table class="table table-hover">
              <thead>
                <tr>
                  <th style="width: 50px;">ID</th>
                  <th style="width: 80px;" class="text-center">ภาพ</th>
                  <th>ชื่อสินค้า</th>
                  <th>จำนวน</th>
                  <th>สถานที่ส่ง</th>
                  <th>สถานะ</th>
                  <th style="width: 200px;" class="text-center">จัดการ</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let t of orders">
                  <th scope="row">{{t.order_id}}</th>
                  <td style="padding: 2px;"><img style="width: 80px;" src="{{t.p_img}}"></td>
                  <td>{{t.p_name}}</td>
                  <td>{{t.count}} คิว</td>
                  <td>{{t.address}}</td>
                  <td>
                    <span *ngIf="t.status=='-2'" class="badge badge-danger">ชำระเงินไม่สำเร็จ</span>
                    <span *ngIf="t.status=='-1'" class="badge badge-dark">ถูกยกเลิก</span>
                    <span *ngIf="t.status=='0'" class="badge badge-secondary">รอการชำระเงิน</span>
                    <span *ngIf="t.status=='1'" class="badge badge-primary">รอการจัดส่ง</span>
                    <span *ngIf="t.status=='2'" class="badge badge-primary">กำลังส่ง</span>
                    <span *ngIf="t.status=='3'" class="badge badge-success">ได้รับแล้ว</span>
                    <span *ngIf="t.status=='4'" class="badge badge-success">สำเร็จ</span>
                  </td>
                  <td>
                    <button href="javascript:void(0)" class="btn btn-raised mr-1 btn-primary btn-sm"
                      (click)="view_profile(t.order_id)"><i class="fa fa-eye"></i> รายละเอียด</button>
                    <button href="javascript:void(0)" (click)="cancel_order(t.order_id)"
                      [disabled]="t.status=='-1'" class="btn btn-raised mr-1 btn-sm btn-danger"><i class="fa fa-times"></i> ยกเลิก</button>
                  </td>
                </tr>

              </tbody>
            </table>
            <div class="col-12 justify-content-center">
              <ngb-pagination [collectionSize]="all_page" (pageChange)="change_page($event)" class="justify-content-center"
              [pageSize]='20' [(page)]="page"></ngb-pagination>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--Hoverable rows Ends-->